BAMGROUPREADS.PY(1)

NAME
bamgroupreads.py - Group BAM file by read IDs without sorting

SYNOPSIS
bamgroupreads.py [-h] [-i BAM] [-r STR] [-d] [-f] [-S] [-b] [-u] [-M]

DESCRIPTION
Group BAM file by read IDs without sorting

OPTIONS

  optional arguments:

-h, --help
    show this help message and exit

-i BAM, --input BAM
    Input BAM file

-r STR, --readgroup STR
    Read group(s) to extract (comma separated)

-d, --reset_dups
    Reset duplicate flags

-f, --fix_flags
    Fix mate flags for secondary reads

-S  Input is SAM format

-b  Output BAM format

-u  Output uncompressed BAM format (implies -b)

-M  split reads are flagged as secondary, not supplementary. For compatibility with legacy BWA-MEM "-M" flag

AUTHOR
 This manpage was written by Andreas Tille for the Debian distribution and
 can be used for any other usage of the program.